Bug 47583 - PRINTING: Behaviour of Writer Print Options are not Transparent
Summary: PRINTING: Behaviour of Writer Print Options are not Transparent
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium normal
Assignee: Michael Weghorn
URL:
Whiteboard: BSA target:6.5.0 target:6.4.0.1
Keywords:
Depends on:
Blocks: Printer-Settings Options-Dialog Document-Options
  Show dependency treegraph
 
Reported: 2012-03-20 06:32 UTC by Harald Koester
Modified: 2019-12-03 07:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2012-03-20 06:32:43 UTC
Problem description: 

In order to illustrate the problem some steps: 
[1] Start LibreOffice and open a new text document. 
[2] Display general print options: Tools > Options... > LibreOffice Writer > Print. Keep in mind at least one setting of a print option. Then "Cancel".
[3] Display print options of current document: File > Printer Settings... > Options...  The displayed options correspond with the general print options.
[4] Change one option, then OK and again OK.
[5] Display general print options again: Tools > Options... > LibreOffice Writer > Print. The changed option of Step [4] is also changed here. Expectation: No change of general print option. Go on with Cancel.
[5] Open a second new text document.
[6] Display general print options again: Tools > Options... > LibreOffice Writer > Print. The change of step [4] is not displayed here. 

It took me some time to understand this behaviour:
The changed setting in step [4] does not change the general option, as it looked like in step [5].  Hence the settings are OK, but the display is wrong in step [5]. That means print properties of the current file are displayed in step [5].

Proposal in order to make the behaviour more transparent:
Insert a heading to the option category 'LibreOffice Writer > Print': "Initial Print Options of new Documents". And of course print options of current documents should not longer displayed in the general options dialog.

Hints:
(a) See also bug 47572.
(b) In bug 43786 and bug 47303 I described similar problems with options, which are used as a property of a document.

Problem also observed with Version 3.4.5.
              
Browser: Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9.2.28) Gecko/20120306 Firefox/3.6.28
Comment 1 sasha.libreoffice 2012-06-14 00:50:30 UTC
Thanks for bugreport
reproduced in 3.3.4 and 3.5.4 on Fedora 64 bit
Tools > Options... > LibreOffice Writer > Print - not saved after closing LO
File > Printer Settings... > Options wrongly saved to main options for current session

IMHO intention of such behaviour was to save printer options on per-document basis.
But it works wrong even if on page
Tools > Options... > Load/Save > General
all suspicious options are disabled

Changing version to 3.3.4 as most early reproduced
Comment 2 A (Andy) 2014-10-11 22:44:52 UTC
Reproducible with LO 4.3.2.2 (Win 8.1)
Comment 3 QA Administrators 2015-10-14 19:57:05 UTC Comment hidden (obsolete)
Comment 4 Harald Koester 2015-12-04 22:28:42 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-01-03 19:41:28 UTC Comment hidden (obsolete)
Comment 6 Harald Koester 2017-02-19 13:29:39 UTC
Bug still exists in version 5.3.0 with Win7.
Bug does not exist in version 3.3.0. Hence a quite old regression.
Comment 7 QA Administrators 2018-02-20 03:37:36 UTC Comment hidden (obsolete)
Comment 8 Harald Koester 2018-02-22 13:18:04 UTC Comment hidden (obsolete)
Comment 9 Timur 2018-06-20 15:12:22 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2019-06-21 02:52:57 UTC Comment hidden (obsolete)
Comment 11 Harald Koester 2019-06-27 13:28:31 UTC
Bug still exists in version 6.2.4 (64 bit with Win10)
Comment 12 Michael Weghorn 2019-11-29 16:58:37 UTC
I also find this pretty confusing as it is now, in particular also that document-specific settings/changes made in "File" -> "Printer Settings" are reflected in "Tools" -> "Options", but it's not the case the other way around.

(In reply to Harald Koester from comment #0)
> Proposal in order to make the behaviour more transparent:
> Insert a heading to the option category 'LibreOffice Writer > Print':
> "Initial Print Options of new Documents". And of course print options of
> current documents should not longer displayed in the general options dialog.

I'm looking into the second aspect mentioned here (not displaying document-specific settings in "Tools" -> "Options"; Calc also doesn't do this).
I suggest to then handle the "remainder" (i.e. proper labels/headings) in bug 118262, where this is also already mentioned.
Comment 13 Commit Notification 2019-12-02 16:39:54 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d23c52cbf7e48130fec1e48bf726c563035a3497

tdf#47583 sw: Don't mix doc print settings into option dialog

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2019-12-03 07:47:03 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/65611a4772b6537658dbbc9392cdac31aef6c7a7

tdf#47583 sw: Don't mix doc print settings into option dialog

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.